Bug 643925 - secondary interface eth1 on guests receiving packets but not transmit data
secondary interface eth1 on guests receiving packets but not transmit data
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
13
All Linux
low Severity urgent
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-18 10:19 EDT by Muzi
Modified: 2011-02-12 09:32 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-12 09:32:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Muzi 2010-10-18 10:19:48 EDT
Description of problem:Secondary interface eth1 on guests child not working, only eth0 is working.Running guest are unable to run functional
with additional interface (eth1), arp issue come for eth1 and no communication
on eth1.


Version-Release number of selected component (if applicable):0.8.2-1


How reproducible:


Steps to Reproduce:
1.Setup kvm structure for kvm guest,and run below command for setup two nic's

2.Start the VM child guest to invoke two ethernet's 

/usr/bin/qemu-kvm -M pc -m 256 -smp 1 -name myguest1 -uuid
5dcb91e1-0a1e-8846-3859-ee03cb362427 -nographic -monitor
unix:/var/lib/libvirt/qemu/myguest1.monitor,server,nowait -boot c -drive
file=/dev/vmdata/vm.root,if=ide,index=0,boot=on -drive
file=/dev/vmdata/vm.var,if=ide,index=1 -drive
file=/dev/vmdata/vm.swap,if=ide,index=3 -net
nic,macaddr=52:54:00:ea:aa:fe,vlan=0,name=nic0 -net
tap,ifname=tap3,script=/etc/KVM/vm-tap3.sh,vlan=0,name=tap3 -net
nic,macaddr=52:54:00:a7:9b:c1,vlan=1,name=nic1 -net
tap,ifname=tap30,script=/etc/KVM/vm-tap30.sh,vlan=1,name=tap30 -serial pty
-parallel none -usb &

3. Now give ip on eth1 on kvm guest myguest and its not pining/working for
outerworld, Note: my setup contains public IP's i am not using NAT

  
Actual results:

[root@host ~]# arp -e
Address HWtype HWaddress Flags Mask Iface
x.x.x.x ether 52:54:00:56:40:56 C tap1
x.x.x.x (incomplete) tap30
x.x.x.x ether 00:d0:d3:80:64:0a C eth0

Expected results:

arp entry should be define for eth1 as like for eth0, and it should be working.

Additional info:
I am running KVM on FC12 with tap networking in routed mode. All is working now
i am facing problem to setup two NIC's on kvm guest. Here below little detail

Now tap3 is for eth0 and tap30 for eth1 for vm child, and desire scripts use to
create tap and put routes automatically, as all is working f9. Now when guest
boot two interfaces eth0 and eth1, now eth0 is working f9 , but when i assign
ip on eth1 and up interface its not pinging/working inside mother/outerworld

After some more diagnose via tcpdump and arp info, i come to know that on KVM
host, tap30 which is used for eth1 on guest vm, qemu-kvm unable to define its
arp entry

[root@host ~]# arp -e
Address HWtype HWaddress Flags Mask Iface
x.x.x.x ether 52:54:00:56:40:56 C tap1
x.x.x.x (incomplete) tap30
x.x.x.x ether 00:d0:d3:80:64:0a C eth0

and on KVM guest on eth1, tcpdump shows arp who has replies, as i don't now why
its fails or treat like eth0 , as beofre when i run guests using virsh start
guest-vm then all is working f9 , but when i start vm through above script
qemu-kvm, its unable to set properly eth1 for guest vm, any ideas or
suggestions please ????????

Muzi
Comment 1 Muzi 2010-10-26 15:01:20 EDT
Same results for FC13, can any one please verify it ?

Thanks
Muzi
Comment 2 Muzi 2010-11-23 13:31:34 EST
Can any please check this ? we are badly stuck with secondary interface, as same is working till fc11, and broken in fc12 and also same behaviour in fc13 :(

Thanks
Muzi
Comment 3 Muzi 2011-01-27 14:22:09 EST
I think i have now reach near to the problem, eth1 is basically receiving
packets but not transmit data, i think reason is eth1 shares both an interrupt
and memory access address with usb device,

cat /proc/interrupts
            CPU0
   0:        219   IO-APIC-edge      timer
   1:          6   IO-APIC-edge      i8042
   4:         88   IO-APIC-edge      serial
   8:          1   IO-APIC-edge      rtc0
   9:          0   IO-APIC-fasteoi   acpi
  10:   32103630   IO-APIC-fasteoi   eth0
  11:     330595   IO-APIC-fasteoi   uhci_hcd:usb1, eth1

As see in 11: , how can i fix or change interrupts for eth1 on child guest ?
kindly suggest please. Can i try to disable usb device ?

Thanks
Muzi
Comment 4 Muzi 2011-01-30 05:55:31 EST
Special Request and Appeal for Mr Daniel Veillard and other relative Red hat members as per this thread,

Please Please Please Please Please Please Please Please Please give some time to this issue, i am tooooooooooooooooo much dis hearted, no member of redhat post any single reply on this thread :(, 

Thanks
Muzi

Note You need to log in before you can comment on or make changes to this bug.